%define upstream_name	 Gtk3
%define	upstream_version 0.029

%define perl_glib_require 1.280

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Test::Simple\\)

%bcond_with debug

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    %mkrel 1

Summary:    Perl module for the GTK+-3.x library
License:    LGPLv2+
Group:      Development/GNOME and GTK+
Url:        http://gtk2-perl.sf.net/
Source0:    http://prdownloads.sourceforge.net/gtk2-perl/%{upstream_name}-%{upstream_version}.tar.xz
Patch0:     Gtk3-0.026-Fix-Pango-font-syntax.patch
Patch1:     exceptions.diff
Patch6:     GdkX11.diff

BuildArch:  noarch

BuildRequires: perl(Cairo::GObject) >= 1.0.0
BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Glib::Object::Introspection) >= 0.16.0
BuildRequires: perl-devel
BuildRequires: perl-ExtUtils-Depends >= 0.300
BuildRequires: perl-ExtUtils-PkgConfig >= 1.03
BuildRequires: perl-Glib >= %perl_glib_require


%if %with debug
BuildRequires: x11-server-xvfb
%endif
BuildRequires: pkgconfig(gobject-introspection-1.0)
Requires:   perl(Glib) >= 1.302.0-6
%description
This module provides perl access to the GTK+-3.x library.

GTK+ is the GIMP ToolKit, a library for creating graphical user
interfaces for the X Window System.  GTK+ was originally written for the GIMP
(GNU Image Manipulation Program) image processing program, but is now used by
several other programs as well.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%apply_patches
rm -f lib/Gtk3.pm.*
perl Makefile.PL INSTALLDIRS=vendor

%build
%make OPTIMIZE="%{optflags}"

%install
rm -rf %buildroot
%make_install

%if %with debug
%check
# (TV) Test suite won't work in iurt (not enough stuff configured):
xvfb-run make test
%endif

%files
%doc LICENSE META.json META.yml NEWS README
%{perl_vendorlib}/%{upstream_name}.pm
%_mandir/*/*


%changelog
* Sat Dec 31 2016 adrianomorselli <adrianomorselli> 0.29.0-1uplos2016
- rebuild

* Fri Sep 30 2016 bb <bb> 0.29.0-1pclos2016
- new release

